<?php

require_once("../../config/Cado.php");

require_once ("../usuarioperfil/cUsuarioperfil.php");

$oUsuarioperfil = new cUsuarioperfil();





if($_POST['action_usuarioperfil']=="insertar"){



	if(!empty($_POST['txt_usuper_nom']))

	{

		$xac=1;

		$oUsuarioperfil->insertar(

			$xac,

			$_POST['txt_usuper_nom']			

		);



		$dts=$oUsuarioperfil->ultimoInsert();

			$dt = mysqli_fetch_array($dts);

		$usuper_id=$dt['last_insert_id()'];

			mysqli_free_result($dts);



		$data['usuper_id']=$usuper_id;

		$data['usuper_msj']='Se registró correctamente.';

	}

	else

	{

		$data['usuper_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}



if($_POST['action_usuarioperfil']=="editar"){

	if(!empty($_POST['txt_usuper_nom']))

	{

		$oUsuarioperfil->modificar(

			$_POST['hdd_usuper_id'],

			$_POST['txt_usuper_nom']			

		);



		$data['usuper_msj']='Se modifico correctamente.';

	}

	else

	{

		$data['usuper_msj']='Intentelo nuevamente.';

	}



	echo json_encode($data);

}





if($_POST['action']=="eliminar")

{

	if(!empty($_POST['usuper_id']))

	{

		$oUsuarioperfil->modificar_campo($_POST['usuper_id'],'xac','0');

		echo 'Se elimino correctamente.';



	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



?>